跳轉到主要內容
GET
/
api
/
publicapi
/
v1
/
catalogs
/
{catalogId}
/
reindex
/
{reindexOperationId}
取得重新索引作業的詳細資訊
curl --request GET \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/reindex/{reindexOperationId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "indexModelId": "<string>",
  "workflowProcessingId": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "completed": "<string>",
  "currentState": "InProgress"
}

授權

Authorization
string
header
必填

The access token received from the authorization server in the OAuth 2.0 flow.

路徑參數

catalogId
string
必填

型錄識別碼。您可以在所有型錄的清單中找到它。

reindexOperationId
string<uuid>
必填

作業識別碼。您可以在啟動重新索引作業的回應中找到它。

回應

成功

id
string<uuid>

作業的唯一 ID

indexModelId
string | null

用於分析文件的索引模型的 ID

workflowProcessingId
string | null

作業工作流程的 ID

created
string<date-time>

建立作業的時間戳記。

completed
string | null

完成作業的時間戳記。

currentState
enum<string>
可用選項:
InProgress,
Failed,
Completed